Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3900)
@@ -2537,5 +2537,5 @@
             debut,     lafin, &
             longitude_deg, latitude_deg, rugoro,  zrmu0,      &
-            zsig,      sollwdown, pphi,    cldt,      &
+             sollwdown,    cldt,      &
             rain_fall, snow_fall, solsw,   solswfdiff, sollw,     &
             gustiness,                                &
Index: LMDZ6/trunk/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surf_landice_mod.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/surf_landice_mod.F90	(revision 3900)
@@ -19,5 +19,5 @@
        tsoil, z0m, z0h, SFRWL, alb_dir, alb_dif, evap, fluxsens, fluxlat, &
        tsurf_new, dflux_s, dflux_l, &
-       slope, cloudf, &
+       alt, slope, cloudf, &
        snowhgt, qsnow, to_ice, sissnow, &
        alb3, runoff, &
@@ -25,6 +25,6 @@
 
     USE dimphy
-    USE surface_data,     ONLY : type_ocean, calice, calsno, landice_opt, n_dtis
-    USE fonte_neige_mod,  ONLY : fonte_neige, run_off_lic
+    USE surface_data,     ONLY : type_ocean, calice, calsno, landice_opt, iflag_albcalc
+    USE fonte_neige_mod,  ONLY : fonte_neige,run_off_lic,fqcalving_global,ffonte_global,fqfonte_global,runofflic_global
     USE cpl_mod,          ONLY : cpl_send_landice_fields
     USE calcul_fluxs_mod
@@ -75,4 +75,5 @@
     REAL, DIMENSION(klon), INTENT(IN)             :: albedo  !mean albedo
     REAL, DIMENSION(klon), INTENT(IN)             :: pphi1    
+    REAL, DIMENSION(klon), INTENT(IN)             :: alt   !mean altitude of the grid box  
     REAL, DIMENSION(klon), INTENT(IN)             :: slope   !mean slope in grid box  
     REAL, DIMENSION(klon), INTENT(IN)             :: cloudf  !total cloud fraction
@@ -115,9 +116,10 @@
     REAL, DIMENSION(klon)    :: u0, v0, u1_lay, v1_lay, ustar
     INTEGER                  :: i,j,nt
-
+    REAL, DIMENSION(klon)    :: fqfonte,ffonte
     REAL, DIMENSION(klon)    :: emis_new                  !Emissivity
     REAL, DIMENSION(klon)    :: swdown,lwdown
-    REAL, DIMENSION(klon)    :: precip_snow_adv, snow_adv !Snow Drift precip./advection
-    REAL, DIMENSION(klon)    :: zsl_height, wind_velo      !surface layer height, wind spd
+    REAL, DIMENSION(klon)    :: precip_snow_adv, snow_adv !Snow Drift precip./advection (not used in inlandsis)
+    REAL, DIMENSION(klon)    :: erod                      !erosion of surface snow (flux, kg/m2/s like evap)
+    REAL, DIMENSION(klon)    :: zsl_height, wind_velo     !surface layer height, wind spd
     REAL, DIMENSION(klon)    :: dens_air,  snow_cont_air  !air density; snow content air
     REAL, DIMENSION(klon)    :: alb_soil                  !albedo of underlying ice
@@ -132,8 +134,6 @@
 
 
-!albedo SB >>>
-    real,dimension(klon) :: alb1,alb2
-!albedo SB <<<
-
+    REAL,DIMENSION(klon) :: alb1,alb2
+    REAL, DIMENSION (klon,6) :: alb6
 ! End definition
 !****************************************************************************************
@@ -230,6 +230,5 @@
             AcoefH, AcoefQ, BcoefH, BcoefQ, cdragh, &
             run_off_lic, evap, fluxsens, fluxlat, dflux_s, dflux_l, &        
-            tsurf_new, alb1, alb2, alb3, &
-            emis_new, z0m, qsurf)
+            tsurf_new, alb1, alb2, alb3, emis_new, z0m, qsurf)
        z0h(1:knon)=z0m(1:knon) ! en attendant mieux
        
@@ -278,6 +277,5 @@
        swdown(:)        = 0.0
        lwdown(:)        = 0.0
-       snow_adv(:)      = 0.  ! no snow blown in for now
-       snow_cont_air(:) = 0.       
+       snow_cont_air(:) = 0.  ! the snow content in air is not a prognostic variable of the model      
        alb_soil(:)      = 0.4 ! before albedo(:) but here it is the ice albedo that we have to set
        ustar(:)         = 0.
@@ -296,29 +294,37 @@
        
 
-       ! Subtimestepping
-       
-        dtis=dtime/n_dtis
-
-        DO nt=1,n_dtis
-
-          IF (lafin .and. nt.eq.n_dtis) THEN
+
+        dtis=dtime
+
+          IF (lafin) THEN
             lafin_is=.true.
           END IF
 
-        !PRINT*,'RENTRE DANS INLANDSIS','itime',itime,'dtime',dtime,'dtis',dtis
-        CALL surf_inlandsis(knon, rlon, rlat, knindex, itime, dtis, debut_is, lafin_is, &
-            rmu0, swdown, lwdown, albedo, pexner, ps, p1lay, &
-            precip_rain, precip_snow, precip_snow_adv, snow_adv, &
-            zsl_height, wind_velo, ustar, temp_air, dens_air, spechum, tsurf, &
-            rugoro, snow_cont_air, alb_soil, slope, cloudf, &
-            radsol, qsol, tsoil0, snow, zfra, snowhgt, qsnow, to_ice,sissnow, agesno, &
+          CALL surf_inlandsis(knon, rlon, rlat, knindex, itime, dtis, debut_is, lafin_is,&
+            rmu0, swdown, lwdown, albedo, pexner, ps, p1lay, precip_rain, precip_snow,   &
+            zsl_height, wind_velo, ustar, temp_air, dens_air, spechum, tsurf,&
+            rugoro, snow_cont_air, alb_soil, alt, slope, cloudf, &
+            radsol, qsol, tsoil0, snow, zfra, snowhgt, qsnow, to_ice, sissnow,agesno,   &
             AcoefH, AcoefQ, BcoefH, BcoefQ, cdragm, cdragh, &
-            run_off_lic, evap, fluxsens, fluxlat, dflux_s, dflux_l, &        
-            tsurf_new, alb1, alb2, alb3, &
-            emis_new, z0m, z0h, qsurf)      
-
-         debut_is=.false.
-
-        END DO
+            run_off_lic, fqfonte, ffonte, evap, erod, fluxsens, fluxlat,dflux_s, dflux_l, &
+            tsurf_new, alb1, alb2, alb3, alb6, &
+            emis_new, z0m, z0h, qsurf)
+
+          debut_is=.false.
+
+
+        ! Treatment of snow melting and calving
+
+        ! for consistency with standard LMDZ, add calving to run_off_lic
+        run_off_lic(:)=run_off_lic(:) + to_ice(:)
+
+        DO i = 1, knon
+           ffonte_global(knindex(i),is_lic)    = ffonte(i)
+           fqfonte_global(knindex(i),is_lic)   = fqfonte(i)! net melting= melting - refreezing
+           fqcalving_global(knindex(i),is_lic) = to_ice(i) ! flux
+           runofflic_global(knindex(i)) = run_off_lic(i)
+        ENDDO
+        ! Here, we assume that the calving term is equal to the to_ice term
+        ! (no ice accumulation)
 
 
@@ -419,7 +425,4 @@
 
 
-
-
-    
 
     END IF ! landice_opt
@@ -476,10 +479,20 @@
        alb_dir(1:knon,5)=alb2(1:knon)
        alb_dir(1:knon,6)=alb2(1:knon)
+
+       IF ((landice_opt .EQ.2) .AND. (iflag_albcalc .EQ. 2)) THEN
+       alb_dir(1:knon,1)=alb6(1:knon,1)
+       alb_dir(1:knon,2)=alb6(1:knon,2)
+       alb_dir(1:knon,3)=alb6(1:knon,3)
+       alb_dir(1:knon,4)=alb6(1:knon,4)
+       alb_dir(1:knon,5)=alb6(1:knon,5)
+       alb_dir(1:knon,6)=alb6(1:knon,6)
+       ENDIF
+
      end select
 alb_dif=alb_dir
 !albedo SB <<<
 
-
-
+  
+  
 
   END SUBROUTINE surf_landice
Index: LMDZ6/trunk/libf/phylmd/surface_data.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/surface_data.F90	(revision 3897)
+++ LMDZ6/trunk/libf/phylmd/surface_data.F90	(revision 3900)
@@ -29,20 +29,39 @@
   ! FOR INLANDSIS:
   !===============
-
-   INTEGER, SAVE          :: landice_opt       ! 1 for coupling with SISVAT, 2 for coupling with INLANDSIS
+ 
+   ! 1 for coupling with SISVAT, 2 for coupling with INLANDSIS and number of subtimesteps for INLANDSIS
+   INTEGER, SAVE          :: landice_opt      ! 1 for coupling with SISVAT, 2 for coupling with INLANDSIS
   !$OMP THREADPRIVATE(landice_opt)
 
-   INTEGER, SAVE          :: iflag_tsurf_inlandsis ! 0 SISVAT method, 1 LMDZ method
-  !$OMP THREADPRIVATE(iflag_tsurf_inlandsis)
+  ! temperature calculation options within the soil and at the surface
+   INTEGER, SAVE          :: iflag_tsurf_inlandsis,iflag_temp_inlandsis 
+   !$OMP THREADPRIVATE(iflag_tsurf_inlandsis,iflag_temp_inlandsis)
 
-   INTEGER, SAVE          :: iflag_albzenith ! dependency of albedo to zenith angle
-  !$OMP THREADPRIVATE(iflag_albzenith)  
-
-   INTEGER, SAVE          :: n_dtis           ! number of subtimesteps for INLANDSIS
-  !$OMP THREADPRIVATE(n_dtis)
+  ! flags for albedo and roughness calc.
+   INTEGER, SAVE          :: iflag_albcalc,iflag_z0m_snow
+  !$OMP THREADPRIVATE(iflag_albcalc,iflag_z0m_snow)  
 
   ! with or without snow module/ blowing snow, ascii outfile
-   LOGICAL, SAVE           :: SnoMod,BloMod,ok_outfor 
+   LOGICAL, SAVE          :: SnoMod,BloMod,ok_outfor 
   !$OMP THREADPRIVATE(SnoMod,BloMod,ok_outfor)    
 
+  ! activate slush, korlyakov snow density, RN z0h calc.
+   LOGICAL, SAVE          :: is_ok_slush,is_ok_density_kotlyakov,is_ok_z0h_rn
+  !$OMP THREADPRIVATE(is_ok_slush,is_ok_density_kotlyakov,is_ok_z0h_rn) 
+
+  ! activate detection snow/ice layers and option XF discrtet/option runoff AC
+   LOGICAL, SAVE          :: ok_zsn_ii,discret_xf,opt_runoff_ac
+  !$OMP THREADPRIVATE(ok_zsn_ii,discret_xf, opt_runoff_ac)
+
+  ! value of z0m snow when prescribed and albedo correction term
+   REAL, SAVE             :: prescribed_z0m_snow,correc_alb
+  !$OMP THREADPRIVATE(prescribed_z0m_snow, correc_alb)
+
+  ! value of sphericity [0-99] and snow grain size [e-4m] for polar buffer snow
+  ! layer
+   REAL, SAVE             :: buf_sph_pol,buf_siz_pol
+  !$OMP THREADPRIVATE(buf_sph_pol,buf_siz_pol)
+
+
+
 END MODULE surface_data
